Subject: Re: [atoca] [Atoca] Remarks on the security discussion today

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 12 Jul 2011 00:44:14 +0300

Hi Art, 

I was trying to find the audio recording to tell you precisely what was said but unfortunately I failed to spot them. 

Reconstructing from my memory we had a fair amount of disagreement on how the security mechanisms would look like. I tried to document that in my summary mail and there were basically two different scenarios: 

a) the school closed warning 
This is essentially sending a message to a relatively small and closed group of people where authorization is relatively simple since the receivers have a relationship with the author. While it is possible to use end-to-end security mechanisms there I am not sure it be done in practice. 

b) the Tsunami warning 
Here the receivers are less likely going to have a relationship with the author of the alert message. While end-to-end security would make sense (for the purposes you listed below) it is difficult to say how they are going to be enforced. What would the authorization policy for accepting authors and originators look like? A challenge also seems that the XML encoding of the message makes mass delivery a bit challenging and then there is the XML digital signature on top of it. Brian discussed this issue in his presentation http://www.ietf.org/proceedings/80/slides/atoca-1.pdf but I am not entirely sure I understand how he thinks this is going to work. If the alert is distributed using IP multicast then the message better has to fit into a UDP packet. The same is likely to be true if some layer 2 mechanism is used. 

To the point of your question: I was in my presentation http://www.ietf.org/proceedings/80/slides/atoca-2.pdf a bit skeptical whether existing deployments are going to invest in end-to-end security infrastructure (which would be the case for security at the alert level) when they have not done so for all the other things either. Folks in the audience had a different view and said that there definitely has to be an end-to-end security story for the alert distribution but the XML digital signature mechanism was essentially a no-go for them. 

Hope that helps!

Ciao
Hannes

PS: What do you mean by " certification of an alert" in your remark below? 

On Mar 31, 2011, at 10:44 PM, Art Botterell wrote:

> 
> On Mar 31, 2011, at 12:35 PM, Hannes Tschofenig wrote:
> 
>> In the area of end-to-end security it was noticed that the deployment reality of SIP (and XMPP) with regard to e2e security is rather weak. Security at the alert level was seen as OK but XMLDSIG was not acceptable. 
> 
> Hannes, could please you say a bit more about that?  In particular, what was meant by "OK" and "not acceptable"?
> 
> On a related note, I'd suggest that digital signatures may sometimes be useful even in transitive trust regimes in order to make the certification of an alert, wherever it occurred, provably persistent over time for auditing and forensic purposes.
> 
> - Art
> 
> _______________________________________________
> earlywarning mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/earlywarning